#ifndef REPORT_DIALOG_H
#define REPORT_DIALOG_H

#include "ui_reportdialog.h"

#include "reportmodel.h"

#include <marketplace.h>

#include <QDialog>

class ReportDialog : public QDialog
{
    Q_OBJECT

  public:
    ReportDialog(QWidget* parent = nullptr,
                 Qt::WindowFlags f = Qt::WindowTitleHint | Qt::WindowSystemMenuHint);

    private:
    Ui::ReportDialog ui_;
    Marketplace* market_;
    std::unique_ptr<ReportModel> model_;
};

#endif